Skip to main content
POST
Create Organization For Federation

Authorizations

X-API-Key
string
header
required

Path Parameters

federation_id
string<uuid>
required

Body

application/json
name
string
required
Required string length: 3 - 100
type
enum<string>
required
Available options:
neobank,
community_bank,
credit_union,
regional_bank,
national_bank,
fintech,
smb_lender,
merchant_cash_advanced,
processor,
infrastructure,
other
domain_name
string | null
Maximum string length: 100
external_id
string | null
Required string length: 3 - 128
contact
ContactRequest · object | null

Response

Successful Response

Represents an organization response.

id
string<uuid>
required

The unique identifier of the Organization.

Example:

"a3d9af02-e679-4c12-a9b2-220b6eb78e2d"

name
string | null
required

The name of the Organization.

Example:

"The Avengers"

domain_name
string | null
required

The domain name of the Organization.

Example:

"avengers.com"

type
enum<string>
required

The type of the organization.

Available options:
neobank,
community_bank,
credit_union,
regional_bank,
national_bank,
fintech,
smb_lender,
merchant_cash_advanced,
processor,
infrastructure,
other
external_id
string | null
required

An external identifier for referencing the Organization using the ID from a namespace in an external system.

Example:

"b2e3a6ff-2734-47ed-ba87-54647e3550bd"

webhooks_version
enum<string>
required

The version of Baselayer Webhooks the Organization utilizies.

Available options:
0.8,
1.0,
2.0,
2.0
Example:

"2.0"

federation
FederationResponse (v1) · object | null
required

Represents a federation response.

Example:
applications
ApplicationResponse (v1) · object[]
required

The Applications belonging to the Organization.

Examples: